.Net Framework version - I'm confused...

Add-in Express™ Support Service
That's what is more important than anything else

.Net Framework version - I'm confused...
 
Aurelien Aurelien




Posts: 84
Joined: 2008-11-14
Hi,

We created an Outlook plugin using Addinexpress, but on some computers, the plugin install well (MSI install) and register, but never appear in Outlook.

After some investigations, I think that the .Net framework version is the problem. Our plugin needs the 3.5 version (we install it using "dotNetFx35setup.exe") but when I look into the project references, I'm confused :


The target .Net framework version is 3.5 :
User added an image

But the project seems to references .Net 2.0 dlls :

User added an image

So I'm a little bit confused... could you give me some explanations about this ?

Thanks.
Posted 28 Sep, 2010 02:37:47 Top
Andrei Smolin


Add-in Express team


Posts: 14115
Joined: 2006-05-11
Hi Aurelien,

In fact, I'm confused by this moment. too. But in .NET Framework on Wikipedia, they say:

As with .NET Framework 3.0, version 3.5 uses the CLR of version 2.0.


I believe this is why you see version 2.0 on the second screenshot. I've created a new Windows Forms Application project and see the same picture; some of DLLs referenced are from 3.5, though.

Regards from Belarus (GMT+2),

Andrei Smolin
Add-in Express Team Leader
Posted 28 Sep, 2010 03:06:33 Top
Aurelien Aurelien




Posts: 84
Joined: 2008-11-14
Thanks for these precisions !
Posted 28 Sep, 2010 05:05:18 Top